package com.infoepoch.pms.agent.platform.chatbot.domain.irepository;

import com.infoepoch.pms.agent.platform.chatbot.domain.ChatbotAgents;

import java.util.List;

/**
 * @author jiangyz
 * @date 2026/4/18 13:15
 * 聊天机器人与智能体关联表仓储接口
 */
public interface IChatbotAgentsRepository {
    /**
     * 新增
     * @param: [entity]
     */
    boolean insert(ChatbotAgents entity);

    /**
     * 更新
     * @param: [entity]
     */
    boolean update(ChatbotAgents entity);

    /**
     * 批量新增
     * @param: [entitys]
     */
    int[] batchInsert(List<ChatbotAgents> entitys);

    /**
     * 批量更新
     * @param: [entitys]
     */
    int[] batchUpdate(List<ChatbotAgents> entitys);

    /**
     * 删除
     * @param: [id]
     */
    boolean delete(String id);

    // region select

    /**
     * 根据Id查询
     * @param: [id]
     */
    ChatbotAgents selectById(String id);

    /**
     * 根据查询条件查询单个对象
     * @param: [criteria]
     */
    ChatbotAgents selectOneByCriteria(ChatbotAgentsCriteria criteria);

    /**
     * 根据查询条件查询对象集合
     * @param: [criteria]
     */
    List<ChatbotAgents> selectByCriteria(ChatbotAgentsCriteria criteria);

    /**
     * 根据查询条件分页查询对象结合
     * @param: [criteria, pageNum, pageSize]
     */
    List<ChatbotAgents> selectCriteriaByPage(ChatbotAgentsCriteria criteria, int pageNum, int pageSize);

    /**
     * 根据条件查询对象总记录数
     * @param: [criteria]
     */
    Integer selectCountByCriteria(ChatbotAgentsCriteria criteria);

    // endregion

    List<ChatbotAgents> findByChatBotId(String chatbotId);

    void deleteByChatBotId(String chatbotId);

    void deleteByAgentId(String agentId);
}
